Force delete purchase agreement
Permanently delete a purchase agreement
DELETE
/
admin
/
api
/
v1
/
purchases
/
purchase-agreements
/
{id}
/
force
Force delete purchase agreement
curl --request DELETE \
--url https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Purchase agreement permanently deleted."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Response
Purchase agreement permanently deleted
⌘I
Force delete purchase agreement
curl --request DELETE \
--url https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/purchase-agreements/{id}/force",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Purchase agreement permanently deleted."
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}